[P048]Overseas Patent Examination Documents
Query the examination file information of overseas patents by entering patent_id or patent_number. This interface does not support querying Chinese patents temporarily
The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | US14/706838 | application number |
| integer<int32> | 20250101 | File Send/Receive Date Start Time |
| integer<int32> | 20250101 | File Send/Receive Date End Time |
| string | CTNF,IDS | File Type(s), supports multiple file types, separated by commas |
| integer<int32> | 10 | Return total file count |
| integer<int32> | - | offset |
| string | 718ead9c-4f3c-4674-8f5a-24e126827269 | patent id |
| string | US11205304B2 | patent number |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
apno | string | US14/706838 | application number |
doc_count | integer<int32> | 98 | Number of review documents |
patent_id | string | 718ead9c-4f3c-4674-8f5a-24e126827269 | patent id |
doc_detail | array | Please check the form: ExamineDocDetail | review documents lists |
date | integer<int32> | 20180831 | Document Send/Receive Date |
path | string | https://open.zhihuiya.com/pdf/watermark/US/A1/20/05/02/62/86/8/808dd980/US_20050262868_A1.pdf?sign=q-sign-algorithm%3Dsha1%26q-ak%3DAKIDz31lFbrtH8mIbFyaxA70x49IRP7lLiCT%26q-sign-time%3D1729564854%3B1729568454%26q-key-time%3D1729564854%3B1729568454%26q-header-list%3Dhost%26q-url-param-list%3Dresponse-expires%26q-signature%3De55460f27058958901d4c0887f4875a9c697044a&response-expires=Tue%2C%2022%20Oct%202024%2003%3A40%3A54%20GMT | document download path |
doc_code | string | CTNF | document code |
description | string | Non-Final Rejection | document description |
page_number | integer<int32> | 17 | document page |
patent_number | string | US11205304B2 | patent number |
doc_detail_count | integer<int32> | 10 | Number of review documents lists |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"apno": "US14/706838",
"doc_count": 98,
"patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
"doc_detail": [
{
"date": 20180831,
"path": "https://open.zhihuiya.com/pdf/watermark/US/A1/20/05/02/62/86/8/808dd980/US_20050262868_A1.pdf?sign=q-sign-algorithm%3Dsha1%26q-ak%3DAKIDz31lFbrtH8mIbFyaxA70x49IRP7lLiCT%26q-sign-time%3D1729564854%3B1729568454%26q-key-time%3D1729564854%3B1729568454%26q-header-list%3Dhost%26q-url-param-list%3Dresponse-expires%26q-signature%3De55460f27058958901d4c0887f4875a9c697044a&response-expires=Tue%2C%2022%20Oct%202024%2003%3A40%3A54%20GMT",
"doc_code": "CTNF",
"description": "Non-Final Rejection",
"page_number": 17
}
],
"patent_number": "US11205304B2",
"doc_detail_count": 10
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms